#ifndef SLIDER_DOTPLOT_H
#define SLIDER_DOTPLOT_H

#include <sys/types.h>

class DotPlot {
public:
    uint nPointGroups = 0;         //4
    uint nPoints = 0;           // 4
    ushort nUniq = 0;         //2
    ushort seqLen = 0;        //2
    ushort *pointGroupStart = nullptr;       //8
    ushort *pointGroupSize = nullptr;       //8
    uint *cumulativeNGroupsPerUniqueOffset = nullptr;  //8
    ushort *nPointGroupsPerUniqueOffset = nullptr;   //8
    ushort *uniqueOffsets = nullptr;   //8
    ushort nameSize = 0;           //2
    ushort windowSize = 0;        //2
    u_char *name = nullptr;           //8
    DotPlot() = default;

    ~DotPlot();
};

#endif //SLIDER_DOTPLOT_H
